Subject: [IPP] FYI - IPP Registry fixes sent to IANA (8 Dec 2011)

From: Ira McDonald <[email-masked]>
Date: Thu, 8 Dec 2011 12:59:21 -0500

Hi,*

*I just sent Mike's latest batch of IPP Registry fixes to IANA - I'll keep
folks posted.

The updates are archived at:

ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/ipp-registrations-20111208.xml
- new registry
ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/ipp-registrations-20111208.patch
- XML patch file (i.e., the differences)

Changes:
- Fixed number-up-supported registration
- Fixed attribute group tag registrations
- Added missing MSN 1.0 (PWG 5101.1) media definitions
- Fixed media-col registrations from PWG 5100.3; was missing all of the
media-xxx-supported printer attributes, and the keyword values did not
have the proper attribute/member attribute names.
- Fixed output-bin registrations (missing -default and -supported)
- Removed the non-existent media-thickness member attribute and corrected
the spelling of the media-pre-printed member attribute.
- Added missing member attribute definitions for media-col-actual Job
Description attribute and media-col-database Printer Description
attribute.
- Added "no-value" to the syntax of the following attributes: media-default,
orientation-requested-default
- Dropped "job-collation-type" enum values 1 (other) and 2 (unknown) per
RFC Errata ID 2983.
- Added "no-value" to the syntax for "date-time-at-completed",
"date-time-at-processing", "time-at-completed", and "time-at-processing"
per RFC 2911 section 4.3.14.x.
- Added "unknown" to the syntax for "job-state" per RFC 2911 section 4.3.7.
- Moved some enum registrations from the keyword section to the enum
section,
and visa-versa.
- Added missing syntax for ipp-versions-supported 2.x keywords.
- Removed bogus printer-alert and printer-alert-description keyword
registrations.
- Updated (unassigned) operation IDs and status codes that are really
reserved
for uncompleted standards work.
- Fixed Attribute Group Tags note (0x3FFFFFFF instead of 0x37777777).
- Fixed definition of media-ready (missing 1setOf).
- Fixed definition of copies-supported (1setOf rangeOfInteger(1:MAX), not
integer).
- Fixed many instances of media-suppported (3 P's).

Cheers,
- Ira (IETF Designated Expert for IANA IPP Registry, w/ Mike Sweet)
*

*Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Zehler, Peter" <[email-masked]>
Date: Sun, 11 Dec 2011 04:32:28 -0800

Ira,

Isn't "media-thickness", as well as  "media-grain" and "media-tooth",
defined for "media-col" in section 11.5 of PWG5100.11?

Pete

Peter Zehler

Xerox Research Center Webster
Email: [email-masked]
Voice: (585) 265-8755
FAX: (585) 265-7441
US Mail: Peter Zehler
Xerox Corp.
800 Phillips Rd.
M/S 128-25E
Webster NY, 14580-9701 

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira
McDonald
Sent: Thursday, December 08, 2011 12:59 PM
To: [email-masked]; Michael R Sweet; Ira McDonald
Subject: [IPP] FYI - IPP Registry fixes sent to IANA (8 Dec 2011)

Hi,

I just sent Mike's latest batch of IPP Registry fixes to IANA - I'll
keep folks posted.

ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/ipp-registrations-2
0111208.xml
- new registry 
ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/ipp-registrations-2
0111208.patch
- XML patch file (i.e., the differences)

Changes:
- Removed the non-existent media-thickness member attribute and
corrected
- Added "no-value" to the syntax of the following attributes:
media-default,
- Added "unknown" to the syntax for "job-state" per RFC 2911 section
4.3.7.
- Fixed definition of copies-supported (1setOf rangeOfInteger(1:MAX),
not integer).

Cheers,

Ira McDonald (Musician / Software Architect)
<http://sites.google.com/site/blueroofmusic> 
<http://sites.google.com/site/highnorthinc> 

-- 
This message has been scanned for viruses and 
dangerous content by MailScanner <http://www.mailscanner.info/> , and is

believed to be clean.

---

From: Ira McDonald <[email-masked]>
Date: Sun, 11 Dec 2011 08:20:53 -0500

Hi Pete,

Oops - yes, media-thickness *is* defined in JPS2 section 11.5.3
and registered with IANA in section 13.

It was NOT defined in the earlier PWG specs (which were the
big bulk update that I worked with Amanda and Pearl earlier).

Mike - we appear to have an issue here.

We should double-check the JPS2 (PWG 5100.11) registrations.

Cheers,
- Ira

On Sun, Dec 11, 2011 at 7:32 AM, Zehler, Peter <[email-masked]>wrote:

> Ira,****
>
> Isn’t “media-thickness”, as well as  “media-grain” and “media-tooth”,
> defined for “media-col” in section 11.5 of PWG5100.11?****
>
> Pete****
>
> ** **
>
> ** **
>
> Peter Zehler
>
> Webster NY, 14580-9701 ****
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *Ira
> McDonald
> *Sent:* Thursday, December 08, 2011 12:59 PM
> *To:* [email-masked]; Michael R Sweet; Ira McDonald
> *Subject:* [IPP] FYI - IPP Registry fixes sent to IANA (8 Dec 2011)****
>
> ** **
>
> Hi,*
>
> *I just sent Mike's latest batch of IPP Registry fixes to IANA - I'll
> keep folks posted.
>
> Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434****
>
> ** **
>
>
> --
> dangerous content by *MailScanner* <http://www.mailscanner.info/>, and is
> believed to be clean. ****
>

---

From: Michael Sweet <[email-masked]>
Date: Sun, 11 Dec 2011 09:37:38 -0800

Ira,

I've also noticed a couple XML issues as I finished up my little registration management program (getting tired of doing everything by hand...), so I'll prepare yet another update for you once IANA processes the latest update.

On Dec 11, 2011, at 5:20 AM, Ira McDonald wrote:
> On Sun, Dec 11, 2011 at 7:32 AM, Zehler, Peter <[email-masked]> wrote:
> Ira,
> 
> Isn’t “media-thickness”, as well as  “media-grain” and “media-tooth”, defined for “media-col” in section 11.5 of PWG5100.11?
> 
> Pete
> 
>  
> 
>  
> 
> Peter Zehler
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira McDonald
> I just sent Mike's latest batch of IPP Registry fixes to IANA - I'll keep folks posted.
> 
> - Moved some enum registrations from the keyword section to the enum section,
> and visa-versa.
> - Removed bogus printer-alert and printer-alert-description keyword registrations.
> - Updated (unassigned) operation IDs and status codes that are really reserved
> - Fixed definition of copies-supported (1setOf rangeOfInteger(1:MAX), not integer).

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair